Documents
Get an extraction job
Get one extraction job by id.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
job_id*string
Resource identifier: job_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/processing-jobs/123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "document_id": "123e4567-e89b-42d3-a456-426614174000", "job_type": "example", "status": "QUEUED", "celery_task_id": "example", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z", "error_message": "example", "error_code": "example", "extractor": "example", "warnings": [], "route": "example", "classification": []}